# Copyright 2004-2022 Bright Computing Holding BV
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from itertools import chain


def flatten_images(images, nodes_first=True):
    def iter_images(cod_image):
        if nodes_first:
            return chain(cod_image.node_images, [cod_image])
        else:
            return chain([cod_image], cod_image.node_images)
    return chain.from_iterable((iter_images(image) for image in images))
